:- module(dist_min,_).


:- use_package(tclp_aggregates).

:- table dist(_,_,min).

dist(X,Y,D) :-
     edge(X,Y,D).
dist(X,Y,D) :-
     edge(X,Z,D1),
     dist(Z,Y,D2),
     D is D1 + D2.

entails(min,A,B) :- A >= B.

edge(a,b,10).
edge(b,a,1).
edge(b,c,5).
edge(a,c,30).
edge(c,d,10).