:- use_module(path_set,_).


:- use_package(tclp_aggregates).

:- table path(_,set).

path(X,[Y]) :-
	edge(X,Y).
path(X,Ys) :-
	edge(X,Z),
	path(Z,Ys).

edge(a,b).
edge(b,c).
edge(b,a).
edge(c,d).

:- use_module(library(sets)).
entails(set,SetA, SetB) :- ord_subset(SetA,SetB).
join(set,SetA, SetB, NewSet) :- ord_union(SetA,SetB,NewSet).